function Create(self)
	for actor in MovableMan.Actors do
		local avgx = actor.Pos.X - self.Pos.X;
		local avgy = actor.Pos.Y - self.Pos.Y;
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
		if dist < 50 then
			if actor.PresetName == "Reflective Robot MK-II" then
				self:SetWhichMOToNotHit(actor,-1);
			end
		end
	end
	self.HitsMOs = true;
end

function Update(self)
	for actor in MovableMan.Actors do
		local avgx = actor.Pos.X - self.Pos.X;
		local avgy = actor.Pos.Y - self.Pos.Y;
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
		local totalVelocity = math.sqrt((actor.Vel.X-self.Vel.X)^2 - (actor.Vel.Y-self.Vel.Y)^2)
		if dist < 10 + (totalVelocity / 3) and actor.PresetName ~= "Reflective Robot MK-II" then
			self.Sharpness = 10000;
		end
	end
end