function Create(self)
	self.knockbackTimer = Timer();
	self.reflectTimer = Timer();
	self.actorReflectTimer = Timer();
	self.resetTimer = Timer();
	self.cancelTimer = Timer();
	self.safetyTimer = Timer();
	self.Pulse1 = 0;
	self.Pulse2 = 0;
	self.Pulse3 = 0;
	self.leftPressed = 0;
	self.rightPressed = 0;
end

function Update(self)
	for particle in MovableMan.Particles do
		if particle:IsAtRest() == false then
		if particle.HitsMOs then
			if particle.PresetName == "Main Thruster Blast Ball 1" or particle.PresetName == "Main Thruster Blast Ball 1 Glow" or particle.PresetName == "Main Thruster Blast Ball 2" or particle.PresetName == "Air Blast" or particle.PresetName == "Pulse Particle" then
				particle:SetWhichMOToNotHit(self,-1);
			end
			local avgx = particle.Pos.X - self.Pos.X;
			local avgy = particle.Pos.Y - self.Pos.Y;
			local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
			local relativeVelX = particle.Vel.X - self.Vel.X;
			local relativeVelY = particle.Vel.Y - self.Vel.Y;
			local totalVelocity = math.sqrt(relativeVelX ^ 2 + relativeVelY ^ 2);
			if dist < 10 + (totalVelocity / 3) + particle.Radius then
				local partImpulse = particle.Mass * totalVelocity;
				if partImpulse > 50 or totalVelocity > 200 then
					if particle.ClassName == "MOPixel" or particle.ClassName == "MOSParticle" then
						if particle.Pos.X > self.Pos.X and relativeVelX < 0 then
							particle.Mass = particle.Mass / 1000;
							particle.Sharpness = particle.Sharpness * 1000;
						end
						if particle.Pos.X < self.Pos.X and relativeVelX > 0 then
							particle.Mass = particle.Mass / 1000;
							particle.Sharpness = particle.Sharpness * 1000;
						end
					elseif self.reflectTimer:IsPastSimMS(50) then
						if particle.Pos.X < (self.Pos.X+particle.Radius) and relativeVelX > 0 then
							self.emitter = CreateAEmitter("Plink");
							self.emitter.Pos.X = self.Pos.X - 7;
							self.emitter.Pos.Y = particle.Pos.Y + (relativeVelY / 3);
							self.emitter.RotAngle = particle.RotAngle + math.pi;
							MovableMan:AddParticle(self.emitter);
							particle.Vel.X = -relativeVelX;
							particle.Vel.Y = -relativeVelY;
							local massFactor = particle.Mass / self.Mass;
							if massFactor >= 1 then
								self.Vel.X = self.Vel.X + relativeVelX;
								self.Vel.Y = self.Vel.Y + relativeVelY;
							else
								self.Vel.X = self.Vel.X + (relativeVelX * massFactor);
								self.Vel.Y = self.Vel.Y + (relativeVelY * massFactor);
							end
						end
						if particle.Pos.X > (self.Pos.X-particle.Radius) and relativeVelX < 0 then
							self.emitter = CreateAEmitter("Plink");
							self.emitter.Pos.X = self.Pos.X + 7;
							self.emitter.Pos.Y = particle.Pos.Y + (relativeVelY / 3);
							self.emitter.RotAngle = particle.RotAngle + math.pi;
							MovableMan:AddParticle(self.emitter);
							particle.Vel.X = -relativeVelX;
							particle.Vel.Y = -relativeVelY;
							local massFactor = particle.Mass / self.Mass;
							if massFactor >= 1 then
								self.Vel.X = self.Vel.X + relativeVelX;
								self.Vel.Y = self.Vel.Y + relativeVelY;
							else
								self.Vel.X = self.Vel.X + (relativeVelX * massFactor);
								self.Vel.Y = self.Vel.Y + (relativeVelY * massFactor);
							end
						end
						if relativeVelX == 0 then
							particle.Vel.X = relativeVelY;
							particle.vel.Y = relativeVelY / 5;
							local massFactor = actor.Mass / self.Mass;
							if massFactor >= 1 then
								self.Vel.Y = self.Vel.Y + relativeVelY;
							else
								self.Vel.Y = self.Vel.Y + (relativeVelY * massFactor);
							end
						end
						self.reflectTimer:Reset();
					end
				end
			end
		end
	end
	end
	if self.reflectTimer:IsPastSimMS(50) then
	for particle in MovableMan.Items do
		if particle.ClassName == "TDExplosive" then
			if particle.HitsMOs then
				local avgx = particle.Pos.X - self.Pos.X;
				local avgy = particle.Pos.Y - self.Pos.Y;
				local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
				local relativeVelX = particle.Vel.X - self.Vel.X;
				local relativeVelY = particle.Vel.Y - self.Vel.Y;
				local totalVelocity = math.sqrt(relativeVelX ^ 2 + relativeVelY ^ 2);
				if dist < 10 + (totalVelocity / 3) + particle.Radius then
					if particle.Pos.X > (self.Pos.X-particle.Radius) and relativeVelX < 0 then
						self.emitter = CreateAEmitter("Plink");
						self.emitter.Pos.X = self.Pos.X + 7;
						self.emitter.Pos.Y = particle.Pos.Y + (relativeVelY / 3);
						self.emitter.RotAngle = particle.RotAngle + math.pi;
						MovableMan:AddParticle(self.emitter);
						particle.Vel.X = -relativeVelX;
						particle.Vel.Y = -relativeVelY;
						local massFactor = particle.Mass / self.Mass;
						if massFactor >= 1 then
							self.Vel.X = self.Vel.X + relativeVelX;
							self.Vel.Y = self.Vel.Y + relativeVelY;
						else
							self.Vel.X = self.Vel.X + (relativeVelX * massFactor);
							self.Vel.Y = self.Vel.Y + (relativeVelY * massFactor);
						end
					end
					if particle.Pos.X < (self.Pos.X+particle.Radius) and relativeVelX > 0 then
						self.emitter = CreateAEmitter("Plink");
						self.emitter.Pos.X = self.Pos.X - 7;
						self.emitter.Pos.Y = particle.Pos.Y + (relativeVelY / 3);
						self.emitter.RotAngle = particle.RotAngle + math.pi;
						MovableMan:AddParticle(self.emitter);
						particle.Vel.X = -relativeVelX;
						particle.Vel.Y = -relativeVelY;
						local massFactor = particle.Mass / self.Mass;
						if massFactor >= 1 then
							self.Vel.X = self.Vel.X + relativeVelX;
							self.Vel.Y = self.Vel.Y + relativeVelY;
						else
							self.Vel.X = self.Vel.X + (relativeVelX * massFactor);
							self.Vel.Y = self.Vel.Y + (relativeVelY * massFactor);
						end
					end
					if relativeVelX == 0 then
						particle.Vel.X = relativeVelY;
						particle.vel.Y = relativeVelY / 5;
						local massFactor = actor.Mass / self.Mass;
						if massFactor >= 1 then
							self.Vel.Y = self.Vel.Y + relativeVelY;
						else
							self.Vel.Y = self.Vel.Y + (relativeVelY * massFactor);
						end
					end
				self.reflectTimer:Reset();
				end
			end
		end
	end
	end
	if self.actorReflectTimer:IsPastSimMS(100) then
	for actor in MovableMan.Actors do
		if actor.HitsMOs then
			local avgx = actor.Pos.X - self.Pos.X;
			local avgy = actor.Pos.Y - self.Pos.Y;
			local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
			local relativeVelX = actor.Vel.X - self.Vel.X;
			local relativeVelY = actor.Vel.Y - self.Vel.Y;
			local totalVelocity = math.sqrt(relativeVelX ^ 2 + relativeVelY ^ 2);
			if dist < 10 + (totalVelocity / 3) + actor.Radius and totalVelocity > 5 then
				if actor.Team ~= self.Team or self.safetyTimer:IsPastSimMS(2000) then
				if actor.Pos.X > (self.Pos.X-actor.Radius) and relativeVelX < 0 then
					self.emitter = CreateAEmitter("Plink");
					self.emitter.Pos.X = self.Pos.X + 7;
					self.emitter.Pos.Y = actor.Pos.Y + (relativeVelY / 3);
					self.emitter.RotAngle = actor.RotAngle + math.pi;
					MovableMan:AddParticle(self.emitter);
					actor.Vel.X = -relativeVelX;
					actor.Vel.Y = -relativeVelY;
					if actor.PresetName ~= "Reflective Robot MK-II" then
						actor.Health = actor.Health - (totalVelocity / 2);
					end
					local massFactor = actor.Mass / self.Mass;
					if massFactor >= 1 then
						self.Vel.X = self.Vel.X + relativeVelX;
						self.Vel.Y = self.Vel.Y + relativeVelY;
					else
						self.Vel.X = self.Vel.X + (relativeVelX * massFactor);
						self.Vel.Y = self.Vel.Y + (relativeVelY * massFactor);
					end
				end
				if actor.Pos.X < (self.Pos.X+actor.Radius) and relativeVelX > 0 then
					self.emitter = CreateAEmitter("Plink");
					self.emitter.Pos.X = self.Pos.X - 7;
					self.emitter.Pos.Y = actor.Pos.Y + (relativeVelY / 3);
					self.emitter.RotAngle = actor.RotAngle + math.pi;
					MovableMan:AddParticle(self.emitter);
					actor.Vel.X = -relativeVelX;
					actor.Vel.Y = -relativeVelY;
					actor.Health = actor.Health - (totalVelocity / 2);
					local massFactor = actor.Mass / self.Mass;
					if massFactor >= 1 then
						self.Vel.X = self.Vel.X + relativeVelX;
						self.Vel.Y = self.Vel.Y + relativeVelY;
					else
						self.Vel.X = self.Vel.X + (relativeVelX * massFactor);
						self.Vel.Y = self.Vel.Y + (relativeVelY * massFactor);
					end
				end
				if relativeVelX == 0 then
					actor.Vel.X = relativeVelY;
					actor.vel.Y = relativeVelY / 5;
					actor.Health = actor.Health - 10;
					local massFactor = actor.Mass / self.Mass;
					if massFactor >= 1 then
						self.Vel.Y = self.Vel.Y + relativeVelY;
					else
						self.Vel.Y = self.Vel.Y + (relativeVelY * massFactor);
					end
				end
				end
			self.actorReflectTimer:Reset();
			end
		end
	end
	end
	if self.knockbackTimer:IsPastSimMS(1000) then
		if self:GetController():IsState(Controller.MOVE_LEFT) then
			self.resetTimer:Reset();
			self.leftPressed = 1;
		elseif self:GetController():IsState(Controller.MOVE_RIGHT) then
			self.resetTimer:Reset();
			self.rightPressed = 1;
		end
		if self.leftPressed == 1 and self:GetController():IsState(Controller.MOVE_LEFT) == false and self.resetTimer:IsPastSimMS(200) == false then
			self.Pulse1 = self.Pulse1 + 1;
			if self.Pulse2 < 2 then
				self.Pulse2 = 0;
			end
			self.leftPressed = 0;
			self.cancelTimer:Reset();
		elseif self.rightPressed == 1 and self:GetController():IsState(Controller.MOVE_RIGHT) == false and self.resetTimer:IsPastSimMS(200) == false then
			self.Pulse2 = self.Pulse2 + 1;
			if self.Pulse1 < 2 then
				self.Pulse1 = 0;
			end
			self.rightPressed = 0;
			self.cancelTimer:Reset();
		end
		if self.resetTimer:IsPastSimMS(200) or self.cancelTimer:IsPastSimMS(200) then
			self.Pulse1 = 0;
			self.Pulse2 = 0;
		end
		if self.Pulse1 >= 4 then
			self.emitter = CreateAEmitter("Pulse");
			self.emitter.Pos.X = self.Pos.X;
			self.emitter.Pos.Y = self.Pos.Y;
			self.emitter.RotAngle = self.RotAngle;
			MovableMan:AddParticle(self.emitter);
			self.knockbackTimer:Reset();
			self.Pulse1 = 0;
			self.Pulse2 = 0;
		elseif self.Pulse2 >= 4 then
			self.emitter = CreateAEmitter("Piercing Pulse");
			self.emitter.Pos.X = self.Pos.X;
			self.emitter.Pos.Y = self.Pos.Y;
			self.emitter.RotAngle = self.RotAngle;
			MovableMan:AddParticle(self.emitter);
			self.knockbackTimer:Reset();
			self.Pulse1 = 0;
			self.Pulse2 = 0;
		elseif self.Pulse1 == 2 and self.Pulse2 == 2 then
			self.emitter = CreateAEmitter("Deadly Pulse");
			self.emitter.Pos.X = self.Pos.X;
			self.emitter.Pos.Y = self.Pos.Y;
			self.emitter.RotAngle = self.RotAngle;
			MovableMan:AddParticle(self.emitter);
			self.knockbackTimer:Reset();
			self.Pulse1 = 0;
			self.Pulse2 = 0;
		elseif self.Pulse1 == 3 and self.Pulse2 == 3  then
			self.emitter = CreateAEmitter("Instagib Pulse");
			self.emitter.Pos.X = self.Pos.X;
			self.emitter.Pos.Y = self.Pos.Y;
			self.emitter.RotAngle = self.RotAngle;
			MovableMan:AddParticle(self.emitter);
			self.knockbackTimer:Reset();
			self.Pulse1 = 0;
			self.Pulse2 = 0;
		end
	end
end